Subject: Re: [Simple] IMDN Issue 1: Message/CPIM namespace for extension headers

From: "Burger, Eric" <[email-masked]>
Date: Thu, 10 Aug 2006 08:58:03 -0400

I'm not wedded to the mechanism. I thought it would be good to have a fully disambiguated way of specifying non-clashing namespaces and a hint of expected capabiloities. That said, if IMDN would be the only use of header namespaces, I agree we should drop the use of it in IMDN and let namespaces die the "~EUR implelentations" DS death.

Sent by GoodLink (www.good.com)

 -----Original Message-----
From: 	Hisham Khartabil [mailto:[email-masked]]
Sent:	Tuesday, August 08, 2006 06:08 AM Eastern Standard Time
To:	Burger, Eric
Cc:	[email-masked]' WG; [email-masked]; [email-masked]
Subject:	Re: [Simple] IMDN Issue 1: Message/CPIM namespace for extension headers

Well, the authors of the RFC are not commenting. Maybe the ADs can help.

The RFC says:

"If no header extensions are allowed by an
    application then these structures may never be used."

To me, this means that if IMDN RFC does not allow header extensions, 
then we don't need a namespace. As far as I can tell, we are not 
allowing or don't need to allow new header extensions.

The RFC also says

"The Message/CPIM media type registration designates a default
    namespace for any headers that are not more explicitly associated
    with any namespace.  In most cases, this default namespace is all
    that is needed."

This is more proof that we don't need a new namespace.

I really don't want to make the message be more complicated and larger 
for no good reason.

Hisham

On Aug 3, 2006, at 6:33 PM, Burger, Eric wrote:

> I agree with Ben here; my interpretation of RFC 3862 is the
> *interpretation* of namespaces is optional.  If we went the route 
> below,
> we would have to modify the cpim-headers IANA registry.  Not hard or
> impossible, but setting a bad precedent, unless the goal is to show no
> one uses name spaces so that we can take them out for DS.  [being
> facetious...]
>
> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: Monday, July 31, 2006 9:29 AM
>
> Even without capablity negotiation, the presence of a namespace can
> be useful from an implementation perspective. For example, If I do
> not see the "IMDN" namespace, I do not have to bother looking for
> IMDN related headers  headers.
>
> Also, section 3.4 of IET 3862 says the following:
>
>>
>>    NOTE: This section defines a framework for header extensibility
>> whose
>>    use is optional.  If no header extensions are allowed by an
>>    application then these structures may never be used.
>
> I read that to mean that, in spirit, the "optionality" of supporting
> namespaces is contingent on not supporting any extensions. This is
> certainly an extension. But then, the IANA registry does allow
> extensions without namespaces. I'd be curious to hear the opinions of
> the RFC3862 authors on this.
>
> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Wednesday, August 02, 2006 3:13 AM
> To: [email-masked]' WG
> Cc: [email-masked]; [email-masked]
> Subject: [Simple] IMDN Issue 1: Message/CPIM namespace for extension
> headers
>
> RFC3862 ((CPIM): Message Format) defines a framework for header
> extensibility whose use is optional. At least that's how it is
> understood by some of us in that the default namespace can be used and
> no need for a new namespace. Others believe that it is mandatory to
> define a new namespace for Message/CPIM header extensions. We seek
> guidance from the authors of RFC3862 on that.
>
> Depending on the outcome to the above question, we may need to make the
> decision regarding the need of the new namespace. Some argued that it
> is useful for capability negotiation. "What capability negotiation?"
> was my response.
>
> Comments and guidance are welcome.
>
> Regards,
> Hisham
>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Eric McMurry <[email-masked]>
Date: Thu, 10 Aug 2006 08:58:02 -0500

I'll throw in a vote for not killing the mechanism entirely.  It is  
useful for keeping vendors private extensions from tromping each other.

Another useful case is for pre-standard delivery notifications.   
Namespaces can be used to ensure that when IMDN is completed, it can  
coexist with older implementations during a transition period.

On Aug 10, 2006, at 7:58 AM, Burger, Eric wrote:

> I'm not wedded to the mechanism. I thought it would be good to have  
> a fully disambiguated way of specifying non-clashing namespaces and  
> a hint of expected capabiloities. That said, if IMDN would be the  
> only use of header namespaces, I agree we should drop the use of it  
> in IMDN and let namespaces die the "~€ implelentations" DS death.
>